View Issue Details

IDProjectCategoryView StatusLast Update
0030256LazarusLazReportpublic2016-06-16 07:01
ReporterLagunov AlekseyAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Build 
Target Version1.8Fixed in Version1.7 (SVN) 
Summary0030256: This patch fix error on export from lazreport and scripts
Description1. Send to email addons
 - fix work with post client if client program locked exported file

2. Internal scrip
 - add mouse cursors const to script engine
 - localize error messages (add russian messages)
 - fix error on parse string values in scrip (now work ' char in string)

3. Report designer
 - in report designer add check code before save script
 - for memo object on master/detail band add popup menu for quick select fields from master/detail datasets (see option in designer options dialog)
 - fix show scrip editor for dialog page on mouse duble click

4. Crross report
 - add scrip suppert
 - add internal const "CrosViewIsEmpty"

5. Report preview form
 - rewrite save code - correct detect file format from user file ext

6. Cleanup code
TagsNo tags attached.
Fixed in Revision52504
LazTarget1.8
Widgetset
Attached Files

Activities

Lagunov Aleksey

2016-06-10 08:18

reporter  

lr_patch.zip (18,712 bytes)

Lagunov Aleksey

2016-06-15 08:20

reporter   ~0093203

applied in rev.52504

Issue History

Date Modified Username Field Change
2016-06-10 08:18 Lagunov Aleksey New Issue
2016-06-10 08:18 Lagunov Aleksey File Added: lr_patch.zip
2016-06-10 13:57 Maxim Ganetsky Assigned To => Jesus Reyes
2016-06-10 13:57 Maxim Ganetsky Status new => assigned
2016-06-15 08:20 Lagunov Aleksey Note Added: 0093203
2016-06-16 06:46 Jesus Reyes Fixed in Revision => 52504
2016-06-16 06:46 Jesus Reyes LazTarget => 1.8
2016-06-16 06:46 Jesus Reyes Status assigned => resolved
2016-06-16 06:46 Jesus Reyes Fixed in Version => 1.7 (SVN)
2016-06-16 06:46 Jesus Reyes Resolution open => fixed
2016-06-16 06:46 Jesus Reyes Target Version => 1.8
2016-06-16 07:01 Lagunov Aleksey Status resolved => closed